Organizations
curl -X GET "https://example.com/v1/organizations""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/organizations" \ -H "Content-Type: application/json" \ -d '{ "description": "aaa", "displayName": "aa", "handle": "aa", "isPrivate": false }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/organizations/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/organizations/aa" \ -H "Content-Type: application/json" \ -d '{ "description": "aaa", "displayName": "aa", "isPrivate": false, "settings": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/organizations/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/organizations/aa/avatar""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/organizations/aa/avatar" \ -H "Content-Type: application/json" \ -d '{ "image": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/organizations/aa/rename" \ -H "Content-Type: application/json" \ -d '{ "newHandle": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/organizations/aa/transfer-ownership" \ -H "Content-Type: application/json" \ -d '{ "newOwner": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization login.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/orgs/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/orgs/aa/invitations""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthPending invitation id.
int64Query Parameters
Forgejo team id for the invitation.
int64Response Body
application/json
curl -X DELETE "https://example.com/v1/orgs/aa/invitations/1?team_id=1""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthQuery Parameters
Search by username, email, or display name.
Response Body
application/json
curl -X GET "https://example.com/v1/orgs/aa/member-candidates?q=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization login.
1 <= lengthQuery Parameters
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Response Body
application/json
curl -X GET "https://example.com/v1/orgs/aa/members?page=2&per_page=2""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthForgejo login of the member to update.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/orgs/aa/members/aa" \ -H "Content-Type: application/json" \ -d '{ "role": "member" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthForgejo login of the member to remove.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/orgs/aa/members/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthForgejo login, platform username, or email of the user to invite.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/orgs/aa/members/aa" \ -H "Content-Type: application/json" \ -d '{ "role": "member" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthForgejo login of the member to update.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/orgs/aa/members/aa/visibility" \ -H "Content-Type: application/json" \ -d '{ "public": false }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Organization login.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/orgs/aa/pinned-repositories""abc123"Authorization
bearerAuth In: header
Path Parameters
Organization handle or Forgejo login.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/orgs/aa/pinned-repositories" \ -H "Content-Type: application/json" \ -d '{ "repositories": [ "abc123" ] }'"abc123"